%define name		jtopen
%define version		4.2
%define cvs_version	4_2
%define release		1jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary: 	OpenSource Java ToolBox for AS/400
License: 	IBM Public License
URL:		http://oss.software.ibm.com/developerworks/opensource/jt400/
Group:		Development/Libraries
Vendor:		JPackage Project
Distribution:	JPackage
Source0: 	ftp://www-126.ibm.com/pub/jt400/4.2/jtopen_4_2.zip
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The AS/400 Toolbox for Java is a library of Java classes supporting the
client/server and internet programming models to an AS/400 or iSeries
server. The classes can be used by Java applets, servlets, and
applications to easily access data and resources on the server.
The Toolbox does not require additional client support over and above
what is provided by the Java Virtual Machine and TCP/IP.
JTOpen is the open source version of the popular product, AS/400 Toolbox
for Java. It runs on a wide variety of platforms, including AIX, AS/400
and iSeries servers, Linux, Network Station, OS/2, Solaris, and Windows.

%package manual
Summary:	Manual for %{name}
Group:		Development/Libraries/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}.
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -c
# fix files perms
chmod -R go=u-w *

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 lib/jt400.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jt400-%{version}.jar
install -m 644 lib/jt400Proxy.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jt400Proxy-%{version}.jar
install -m 644 lib/jt400Micro.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jt400Micro-%{version}.jar
install -m 644 lib/jt400Servlet.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jt400Servlet-%{version}.jar
install -m 644 lib/jui400.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jui400-%{version}.jar
install -m 644 lib/composer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/composer-%{version}.jar
install -m 644 lib/tes.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tes-%{version}.jar
install -m 644 lib/outputwriters.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/outputwriters-%{version}.jar
install -m 644 lib/reportwriter.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/reportwrite-%{version}.jar
install -m 644 lib/uitools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/uitools-%{version}.jar
install -m 644 lib/util400.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/util400-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf doc/javadoc

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc license.html readme.html
%{_javadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc doc/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Wed Jan 21 2004 David Walluck <david@anti-microsoft.org> 0:4.2-1jpp
- 4.2

* Fri May 15 2003 David Walluck <david@anti-microsoft.org> 0:4.0-1jpp
- 4.0
- update for JPackage 1.5

* Wed Feb 26 2003 Henri Gomez <hgomez@users.sourceforge.net> 3.3-1jpp
- jtopen 3.3
- x4j and xslparser no more provided in source distro

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.0-2jpp
- vendor, distribution, group tags
- corrected line too long in description
- fixed perm problems

* Sat Apr 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.0-1jpp 
- first unified release
- section macro
- nosrc package
- spec cleanup
- javadoc in javadoc package

* Mon Jun 18 2001 Henri Gomez <hgomez@users.sourceforge.net>
- jtopen 2.03
- corrected URLs (http://oss.software.ibm.com/developerworks/opensource/jt400/)
- a decent description

* Mon Jan 22 2001 Henri Gomez <hgomez@users.sourceforge.net>
- jtopen 2.01
- removed jt400Native.jar since not useable on Linux Boxes.

* Tue Jan 16 2001 Henri Gomez <hgomez@users.sourceforge.net>
- RPM release 2
- removed unexisting stuff in %doc

* Fri Jan 12 2001 Henri Gomez <hgomez@users.sourceforge.net>
- Initial release jtopen 2.0
